#Grants Advancement to nearby Players
advancement grant @a[distance=..64] only kazzmon.extravanilla:extravanilla/the_monarch_ritual

#Use up Charges on Respawn Anchor
setblock ~ ~-1 ~ minecraft:respawn_anchor[charges=0]
playsound minecraft:block.respawn_anchor.set_spawn ambient @a ~ ~-1 ~ 5 2
playsound minecraft:block.respawn_anchor.set_spawn ambient @a ~ ~-1 ~ 5 1
playsound minecraft:block.respawn_anchor.deplete ambient @a ~ ~-1 ~ 5 0.5
playsound minecraft:block.respawn_anchor.deplete ambient @a ~ ~-1 ~ 5 0.8
particle dragon_breath ~ ~-1 ~ 0 0 0 1 100 normal

#Unlits Purple Candles
setblock ~4 ~-1 ~ minecraft:purple_candle[candles=4,lit=false,waterlogged=false]
setblock ~-4 ~-1 ~ minecraft:purple_candle[candles=4,lit=false,waterlogged=false]
setblock ~ ~-1 ~4 minecraft:purple_candle[candles=4,lit=false,waterlogged=false]
setblock ~ ~-1 ~-4 minecraft:purple_candle[candles=4,lit=false,waterlogged=false]
playsound minecraft:block.fire.extinguish ambient @a ~4 ~-1 ~ 2 1
playsound minecraft:block.fire.extinguish ambient @a ~-4 ~-1 ~ 2 1
playsound minecraft:block.fire.extinguish ambient @a ~ ~-1 ~4 2 1
playsound minecraft:block.fire.extinguish ambient @a ~ ~-1 ~-4 2 1
particle cloud ~4 ~-1 ~ 0 0 0 0.1 10 normal
particle cloud ~-4 ~-1 ~ 0 0 0 0.1 10 normal
particle cloud ~ ~-1 ~4 0 0 0 0.1 10 normal
particle cloud ~ ~-1 ~-4 0 0 0 0.1 10 normal

#Removes Dragon Head
kill @e[type=#kazzmon.extravanilla:item_frames,nbt={Item:{id:"minecraft:dragon_head",Count:1b}},sort=nearest,limit=1]

#Sound Effects
  #Nearby
playsound minecraft:entity.wither.spawn ambient @a ~ ~ ~ 0.3 2
playsound minecraft:entity.wither.spawn ambient @a ~ ~ ~ 0.3 1.2
playsound minecraft:entity.wither.ambient ambient @a ~ ~ ~ 0.2 0.9
playsound minecraft:entity.wither.ambient ambient @a ~ ~ ~ 0.2 0.7
playsound minecraft:block.sculk_shrieker.shriek ambient @a ~ ~ ~ 1 1
playsound minecraft:block.sculk_shrieker.shriek ambient @a ~ ~ ~ 1 0.7
playsound minecraft:entity.wither.death ambient @a ~ ~ ~ 0.2 0.9
playsound minecraft:entity.wither.death ambient @a ~ ~ ~ 0.2 0.5
  #Far
playsound minecraft:block.respawn_anchor.set_spawn ambient @a ~ ~ ~ 5 2
playsound minecraft:block.respawn_anchor.set_spawn ambient @a ~ ~ ~ 5 1
playsound minecraft:block.respawn_anchor.deplete ambient @a ~ ~ ~ 5 0.5
playsound minecraft:block.respawn_anchor.deplete ambient @a ~ ~ ~ 5 0.8
playsound minecraft:entity.ender_dragon.growl ambient @a ~ ~ ~ 5 2

#Particle Effects
particle minecraft:dust 0 0 0 1 ~ ~1 ~ 0.5 0.5 0.5 0.05 10 force
particle minecraft:dust 0.1 0.1 0.1 2 ~ ~1 ~ 0.5 0.5 0.5 0.05 10 force
particle minecraft:squid_ink ~ ~1 ~ 0.2 0.2 0.2 0.05 20 force
particle minecraft:dragon_breath ~ ~1 ~ 0.2 0.2 0.2 0.05 20 force
particle minecraft:lava ~ ~ ~ 0 0 0 5 200 force

#Creates Border
execute as @e[type=armor_stand,tag=kazzxv.monarch] at @s positioned ~ ~-2 ~ positioned ^ ^ ^64 run function kazzmon.extravanilla:mobs/custom_bosses/dragonoid_monarch/ritual/sentinel_border

#End Crystal
summon end_crystal ~ ~ ~ {ShowBottom:0b,Tags:["kazzxv.monarch"]}

#Summons Boss
execute at @s positioned ~ ~24 ~ run function kazzmon.extravanilla:mobs/custom_bosses/dragonoid_monarch/summon

#Summon Dual Boss
execute if entity @e[type=armor_stand,tag=kazzxv.dual_boss] at @s positioned ~ ~1 ~ run function kazzmon.extravanilla:mobs/custom_bosses/dragonoid_monarch/ritual/summon_dual_boss

#Tags all Sentinel Armor Stands
tag @e[type=armor_stand,tag=kazzxv.monarch] add kazzxv.dm_sentinel