#Check Datapack Version for Updates
execute as @a[tag=kazzxv.started] if score @s kazzxv.ver_id < #kazzxv.world kazzxv.ver_id run function kazzmon.extravanilla:version_update
execute as @a[tag=kazzxv.started] if score @s kazzxv.ver_build < #kazzxv.world kazzxv.ver_build run function kazzmon.extravanilla:version_update
execute as @a[tag=kazzxv.started] unless entity @s[tag=kazzxv.ver_updater_2] run function kazzmon.extravanilla:version_update

#Setup for New Players
execute as @a[tag=!kazzxv.started] run function kazzmon.extravanilla:setup_starting

#Setup for Old Players - For Updating and Rebooting
execute as @a[tag=kazzxv.updating] run function kazzmon.extravanilla:setup
execute as @a[tag=kazzxv.rebooting] run function kazzmon.extravanilla:setup

#Tags all New Players for finishing
tag @a[tag=!kazzxv.started] add kazzxv.started

#Finish Updating
execute as @a[tag=kazzxv.updating] run function kazzmon.extravanilla:version_update_finished

#Finish Rebooting
execute as @a[tag=kazzxv.rebooting] run function kazzmon.extravanilla:reboot_finished

#Loop
schedule clear kazzmon.extravanilla:advancements
schedule function kazzmon.extravanilla:advancements 20t