#Setup Name
execute if score kazzxv_nm_enable kazzxv.nm_enable matches 1 if entity @s[tag=!kazzxv.named] run data merge entity @s {CustomName:'{"translate":"Dragonoid Monarch","color":"purple","bold":true,"italic":false}'}
execute if score kazzxv_nm_enable kazzxv.nm_enable matches 1 if entity @s[tag=!kazzxv.named] run tag @s add kazzxv.named

#Setup Bossbar
execute unless entity @a[scores={kazzxv.dm_hp_bar=1..}] run tag @s remove kazzxv.dm_bossbar
execute if entity @s[tag=!kazzxv.dm_bossbar] run bossbar add minecraft:dragonoid_monarch "Dragonoid Monarch"
execute if entity @s[tag=!kazzxv.dm_bossbar] run bossbar set minecraft:dragonoid_monarch color purple
execute if entity @s[tag=!kazzxv.dm_bossbar] run bossbar set minecraft:dragonoid_monarch style progress
execute if entity @s[tag=!kazzxv.dm_bossbar] run bossbar set minecraft:dragonoid_monarch max 1500
execute if entity @s[tag=!kazzxv.dm_bossbar] run tag @s add kazzxv.dm_bossbar
execute if entity @s[tag=kazzxv.dm_bossbar] run bossbar set minecraft:dragonoid_monarch players @a[distance=..64]

#Setup Scoreboards
execute if entity @s[tag=!kazzxv.dm_setup] run scoreboard players set @s kazzxv.dm_atk 0
execute if entity @s[tag=!kazzxv.dm_setup] run scoreboard players set @s kazzxv.dm_cd 300
execute if entity @s[tag=!kazzxv.dm_setup] run scoreboard players set @s kazzxv.dm_hurt 0
execute if entity @s[tag=!kazzxv.dm_setup] run scoreboard players set @s kazzxv.dm_foes 1200

#Setup Passive Effects
  #Initial
execute if entity @s[tag=!kazzxv.dm_setup] run effect give @s minecraft:resistance 999999 4 true
execute if entity @s[tag=!kazzxv.dm_setup] run effect give @s minecraft:fire_resistance 999999 0 true
execute if entity @s[tag=!kazzxv.dm_setup] run effect give @s minecraft:strength 999999 9 true
execute if entity @s[tag=!kazzxv.dm_setup] run effect give @s minecraft:slowness 999999 2 true
  #Killed Phantom
execute unless entity @e[type=phantom,tag=kazzxv.monarch] if entity @s[tag=!kazzxv.dm_setup2, tag=!kazzxv.dm_no_phantom] run tag @s add kazzxv.dm_no_phantom
execute if entity @s[tag=!kazzxv.dm_setup2,tag=kazzxv.dm_no_phantom] run effect clear @s minecraft:resistance
execute if entity @s[tag=!kazzxv.dm_setup2,tag=kazzxv.dm_no_phantom] run effect give @s minecraft:resistance 999999 3 true
execute if entity @s[tag=!kazzxv.dm_setup2,tag=kazzxv.dm_no_phantom] run tellraw @a [{"text":"[","color":"white"},{"text":"ExtraVanilla","color":"yellow"},{"text":"]","color":"white"},{"text":":","color":"gray"},{"text":" The Dragonoid Monarch has lost its Phantom! It can now be damaged, keep going!","color":"light_purple"}]

#Tags Self for Finishing Setup
execute if entity @s[tag=!kazzxv.dm_setup] run tag @s add kazzxv.dm_setup
execute if entity @s[tag=!kazzxv.dm_setup2,tag=kazzxv.dm_no_phantom] run tag @s add kazzxv.dm_setup2

#Kills Boss when there are no more Challengers nearby
execute if score @s kazzxv.dm_foes matches 0 run function kazzmon.extravanilla:mobs/custom_bosses/dragonoid_monarch/despawn